From 973d2b65020c06e43326c28ad6c4ba58dc3e29b4 Mon Sep 17 00:00:00 2001
From: rc-05 <rc23@email.it>
Date: Thu, 13 Jun 2019 00:00:40 +0200
Subject: [PATCH 1/2] New package: otus-2.0

---
 srcpkgs/otus/template | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)
 create mode 100644 srcpkgs/otus/template

diff --git a/srcpkgs/otus/template b/srcpkgs/otus/template
new file mode 100644
index 00000000000..08166008e71
--- /dev/null
+++ b/srcpkgs/otus/template
@@ -0,0 +1,17 @@
+# Template file for 'otus'
+pkgname=otus
+version=2.0
+revision=1
+wrksrc=ol-${version}
+build_style=gnu-makefile
+short_desc="Purely functional dialect of Lisp"
+maintainer="rc-05 <rc23@email.it>"
+license="LGPL-3.0-or-later, MIT"
+homepage="https://yuriy-chumak.github.io/ol/"
+distfiles="https://github.com/yuriy-chumak/ol/archive/v${version}.tar.gz"
+checksum=5ad537b6bd032549334d1c72e742b78b7d40ccb8d1491d5cf0ce952964deeeea
+
+post_install() {
+	vlicense LICENSE
+}
+

From d3148062d9ce1cd9a87e22f92169340a4222772d Mon Sep 17 00:00:00 2001
From: rc-05 <rc23@email.it>
Date: Fri, 12 Jul 2019 13:30:29 +0200
Subject: [PATCH 2/2] Added "nocross" flag.

The repl for the opus interpreter could not be compiled for architectures other that i686 and amd64
---
 srcpkgs/otus/template | 1 +
 1 file changed, 1 insertion(+)

diff --git a/srcpkgs/otus/template b/srcpkgs/otus/template
index 08166008e71..dac316ca31f 100644
--- a/srcpkgs/otus/template
+++ b/srcpkgs/otus/template
@@ -10,6 +10,7 @@ license="LGPL-3.0-or-later, MIT"
 homepage="https://yuriy-chumak.github.io/ol/"
 distfiles="https://github.com/yuriy-chumak/ol/archive/v${version}.tar.gz"
 checksum=5ad537b6bd032549334d1c72e742b78b7d40ccb8d1491d5cf0ce952964deeeea
+nocross="Failed to compile repl"
 
 post_install() {
 	vlicense LICENSE
